/*!
 * @file gui.h
 * @brief Definition of ...
*/

#ifndef _GUI_H
#define _GUI_H

#include "base_object.h"

// FORWARD DECLARATION

namespace OrxGui
{
  //! A class for ...
  class Gui : public BaseObject
  {

  public:
    Gui();
    virtual ~Gui();

    //! Start the Gui
    virtual void startGui() = 0;
    //! Stop the gui
    virtual void stopGui() = 0;
    //! Suspend the Gui.
    virtual void suspend() = 0;
    //! Update the Gui.
    virtual void update() = 0;
  };
}
#endif /* _GUI_H */
